<?php

print("<?xml version='1.0' encoding='utf-8'?>");

//$mIndex=1; //sets the first picture in the series

   /**
     * This is an abridged and modified version the OP3FT's:
     * Sample Frogans Site for PHP FsdlRequest Parser
     *
     * @version		0.1
	 *
	 * @copyright	1999-2016 OP3FT
	 *
	 * This PHP file generates an FSDL document. It is part of a sample
	 * Frogans site provided by the OP3FT to help you create your
	 * own dynamic Frogans sites based on the PHP FsdlRequest parser.
	 * 
	 * You are free to use, copy, distribute, modify, adapt, or share this
	 * sample Frogans site.
	 * 
	 * @file
	 */

	// 1. Include FSDLRequest class

	include_once('../private/FsdlRequestParser.php');	// The file should be located outside the server's document root

/*
	// 2. Check server request method - I'm not using this here because the first time the
                                        //slide is opened, there is no server request 
		
	$serverRequestMethod = $_SERVER['REQUEST_METHOD'];

	if ($serverRequestMethod != 'POST')	// This should never occur when navigating this sample Frogans site
	{
		exit(1);
	}
*/		
	
	// 3. Get content of HTTP body received by server
	
	$serverRequestBody = file_get_contents("php://input");


	// 4. Create and initialize $fsdlRequest

	$fsdlRequest = new FsdlRequest();

	$fsdlRequestDocumentVersion = FSDLRequestDocumentVersion::VERSION_3_0;
	$receivedDocument = $serverRequestBody;
	$errorMessage = "";
	
	$result = $fsdlRequest->initialize($fsdlRequestDocumentVersion, $receivedDocument, $errorMessage);


	// 5. Get all available data from $fsdlRequest

    $fileFields = $fsdlRequest->getFileFields();					
					//	Value is applicable only if $fsdlRequestWanted is FsdlRequestWanted::FSDL_DOCUMENT
					//									and $fsdlRequestNavigation is not FsdlRequestNavigation::OPEN
					//						  or if $fsdlRequestWanted is FsdlRequestWanted::AUXILIARY_FILE
					//	If not applicable, value is an empty array.
					//	If applicable, value is an array of up to FsdlRequest::FILE_FIELDS_COUNT_MAX key-value pairs.
					//	The array can be empty.
                    

   
	
	if ($result == FALSE)	// this will happen the first time the slide is opened. Here we want the color to be black.
	{
		$mindex=1;
        $next_inter="interstitial";
        $inter_counter=0;                           //counts how many times we load the interstitial
        echo "<!-- false -->";
	}else{

        $mindex=$fileFields['myindex']; 
        if($mindex>7){
            $mindex -=7; //that way it loops
        }
        echo "<!-- $mindex -->";
        $next_inter=$fileFields['next_inter'];
        $inter_counter=$fileFields['inter_counter'];    //counts how many times we load the interstitial
        if($inter_counter==FALSE){
            $inter_counter=0;
        }
        if($next_inter == FALSE){
            $next_inter="interstitial";
        }
    }

//$mindex=1; //sets the first picture in the series

//$file_fields = $fsdl_request->get_file_fields();
//  $num =  $file_fields["num"]; // an example of a variable you can get out of file_fields


$minis=array(); 

//Populate the array
for ($i=0; $i<=7; $i++){
    $minis[$i]=$mindex+$i;
    if($minis[$i]>7){
        $minis[$i]=$minis[$i]-7;
    }
}

$bigpic=array(       //this is an array of the big pictures
    array("whitehaven", "625,469", 0, 1), //filename, img size, ad yes/no, framing 
    array("maldives", "625,469", 1, 0),
    array("tulum", "625,469", 1, 1),
    array("okinawa", "625,438", 0, 0),
    array($next_inter, "640,396", 0, 0),
    array("anguilla", "628,405", 1, 0),
    array("noronha", "625,434", 0, 1) 
);
$photindex=$mindex-3; //matches up the big pictures with the little ones
if($photindex<0){
    $photindex+=7;
}

$next_delay="50";

//set up the interstitial machine
$next_mindex=$mindex+6;                               //keeps reloading on this slide (interchanging photo)
if($mindex==7){                                         //this only happens when we're on the int ad slide
    if($inter_counter<6){                               //counts how many times we load the interstitial
        if($next_inter=="interstitial"){ 
            $next_inter="interstitial_b";
            $inter_btn = "interstitial";                  //for the button rollover image
        }elseif($next_inter=="interstitial_b"){
            $next_inter="interstitial";  
            $inter_btn = "interstitial_b";                  //for the button rollover image
        }
        $inter_counter++;
    $next_mindex=7;                               //keeps reloading on this slide (interchanging photo)
echo "<!-- next inter is $next_inter -->";
    $inter_button_code="
<file fileid='inter_btn_o_f' nature='static' name='/img/$next_inter.jpg' />
<resimage fileref='inter_btn_o_f' resid='inter_btn_o_r' size='118,237' 
selection='extract' bounds='115,48,236,285' /> 
<resimage fileref='big_pic_f' resid='inter_btn_r' size='118,237' 
selection='extract' bounds='115,48,236,285'  />


<button buttonid='inter_ad_b' goto='way-out' uri='http://www.consumerreports.org/cro/sunscreens/buying-guide' >
    <layer resref='inter_btn_r' layerid='inter_btn_l' leapout='lead' align='left-top' pos='120,56' 
    combine='clip' visible='not-selected' />
    <layer resref='inter_btn_o_r' layerid='inter_btn_o_l' leapout='lead' align='left-top' pos='120,56' 
    combine='clip' visible='selected' />
</button>    
    ";    }else{
       $inter_counter=0;
       $mindex+=6;
    $next_mindex=$mindex;                               //keeps reloading on this slide (interchanging photo)
    }
    $next_delay="5";

}
echo "<!-- next_mindex is $next_mindex -->";
echo "<!-- inter_counter is $inter_counter -->";

$overlay=$bigpic[$photindex][2]; // yes or no, will we show the mojito?

$close_overlay=$fileFields['close_overlay']; // closes the mojito
if ($close_overlay == FALSE){
    $close_overlay=0;
}

if ($close_overlay==1){
    $overlay=0;
    $close_overlay=0;
    }
echo"<!-- photindex = $photindex -->";

if($bigpic[$photindex][3]==0){ // set up the conditions for changing the framing of bigpic
    $bk_shape="bk.png";
    $bigpic_crop_path="
   <resdraw resid='bigscreen_r' figure='roundrect' size='616,378' round='28,28' stroke='off' color='#000000' />
   ";
}
    elseif($bigpic[$photindex][3]==1){
        $bk_shape="bk2.png";
        $bigpic_crop_path="
            <respath resid='bigscreen_r' size='629,383'  stroke='off'  spread='off' color='#000000' crop='custom' corners='5,14,640,395'  >



    	Ju:85,396;Li:21,396;Cu:8,383,14,396,8,390;Li:8,283;Cu:43,200,8,251,20,221;Li:48,196;
		Li:21,192;Li:43,162;Li:12,143;Li:44,125;Li:23,94;Li:60,91;Li:54,55;Li:88,66;Li:97,31;
		Li:124,55;Li:147,27;Li:162,60;Li:194,43;Li:194,64;Li:198,63;Cu:238,57,211,59,224,57;
		Cu:288,67,255,57,272,60;Li:291,68;Li:292,65;Cu:373,14,306,34,338,14;Cu:450,56,405,14,434,29;
		Li:452,59;Li:454,57;Cu:498,42,467,47,482,42;Cu:566,109,535,42,566,72;Cu:564,123,566,114,565,118;
		Li:564,125;Li:566,126;Cu:632,228,606,144,632,184;Li:632,383;Cu:618,396,632,390,626,396;
		Li:85,396;Li:85,396


	</respath>
        ";
           //;Ju:59,184;Cu:62,182,60,183,61,183;Cu:51,143,55,170,51,157;
    	//Cu:132,62,51,98,88,62;Cu:172,72,147,62,160,65;Cu:175,70,173,71,174,71;Cu:132,58,162,63,148,58;
		//Cu:48,143,86,58,48,96;Cu:59,184,48,158,52,172 
    }
echo"<!-- bk shape = $bk_shape -->";
?>

<frogans-fsdl version='3.0'>

        <!-- nav files-->
	<file fileid='this_f' nature='static' name='/home.php' />

    	<!-- image files-->
	<file fileid='bk_f' nature='static' name='/img/<? echo $bk_shape;?>' />

	<file fileid='minis_f' nature='static' name='/img/minis.png' />
    <file fileid='mojito_f' nature='static' name='/img/mojito.png' />



	<file fileid='big_pic_f' nature='static' name='/img/<? echo($bigpic[$photindex][0]); ?>.jpg' />
    

    <resimage fileref='big_pic_f' resid='big_pic_r' size='<? echo($bigpic[0][1]); ?>'  />
    <resimage fileref='minis_f' resid='mini_<? echo $minis[0]; ?>_r' size='80,60' selection='extract' bounds='0,0,80,60'  />
    <resimage fileref='minis_f' resid='mini_<? echo $minis[1]; ?>_r' size='80,60' selection='extract' bounds='80,0,160,60'  />
    <resimage fileref='minis_f' resid='mini_<? echo $minis[2]; ?>_r' size='80,60' selection='extract' bounds='160,0,240,60'  />
    <resimage fileref='minis_f' resid='mini_<? echo $minis[3]; ?>_r' size='80,60' selection='extract' bounds='240,0,320,60'  />
    <resimage fileref='minis_f' resid='mini_<? echo $minis[4]; ?>_r' size='80,60' selection='extract' bounds='320,0,400,60'  />
    <resimage fileref='minis_f' resid='mini_<? echo $minis[5]; ?>_r' size='80,60' selection='extract' bounds='400,0,480,60'  />
    <resimage fileref='minis_f' resid='mini_<? echo $minis[6]; ?>_r' size='80,60' selection='extract' bounds='480,0,560,60'  />


     <!-- BACKGROUND-->   
    <resimage fileref='bk_f' resid='bk_r' size='640,480'  />
    <layer resref='bk_r' layerid='bk_m' opacity='100' leapout='all' align='left-top' pos='0,0' combine='add' />

     <!-- shadows-->   
<setshadow shadowid='shad1' >
    <shadow rpos='3,3' color='#000000' blur='3,3' opacity='65'/>
</setshadow>


     <!-- filters-->  
<setfilter filterid='lighten' >
    <filter effect='addcolor' level='15' color='#ffffff' />
</setfilter>

<setfilter filterid='invert' >
    <filter effect='negative'  />
</setfilter>

<!-- VIGNETTE 
<resdraw resid='vig_screen_back_r' figure='roundrect' size='630,392' round='32,32' stroke='off' color='#ffffff' />
<layer resref='vig_screen_back_r' layerid='vig_screen_back_l' leapout='vignette' 
align='left-top' pos='4,8' combine='add' shadowref='shad1' />
-->
<resdraw resid='vig_placeholder_r' figure='rect' size='1,1'  stroke='off' color='#ffffff' />
<layer resref='vig_placeholder_r' layerid='vig_placeholder_l' leapout='vignette' 
align='left-top' pos='320,479' combine='add' opacity='1' />


<!-- croppings -->
<?
echo($bigpic_crop_path);
?>

<resmerge resid='big_pic_m' size='624,383' >
    <merge resref='big_pic_r'  align='center-middle' pos='310,191' combine='add' />
    <merge resref='bigscreen_r'  align='center-middle' pos='310,191' combine='inter' />
</resmerge>

<layer resref='big_pic_m' layerid='big_pic_l' leapout='all' align='left-top' pos='9,14' combine='clip'/>



<resdraw resid='lilscreen_r' figure='roundrect' size='80,60' round='16,16' stroke='off' color='#000000' />

<!-- MOJITO -->
    <setdata dataid='close_overlay_dat'>
        <data key='close_overlay'>1</data>
        <data key='myindex'><?php echo ($mindex); ?></data>

    </setdata>
    <file fileid='close_overlay_f' nature='dynamic' name='/home.php' dataref='close_overlay_dat' />

<?
if($overlay==1){
    echo "
     <resimage fileref='mojito_f' resid='mojito_u_r' size='153,251' selection='extract' bounds='9,128,162,413'  />
    <resimage fileref='mojito_f' resid='mojito_o_r' size='317,380'   />

<button buttonid='overlay_b' goto='way-out' uri='http://dailyscocktails.com/' >
    <layer resref='mojito_u_r' layerid='mojito_u_l' leapout='lead' align='left-top' pos='479,145' 
    combine='clip'  visible='not-selected' />
    <layer resref='mojito_o_r' layerid='mojito_o_l' leapout='lead' align='left-top' pos='330,18' 
    combine='clip' visible='selected'  />
</button>

    <resimage fileref='minis_f' resid='x_r' size='30,30' selection='extract' bounds='561,0,591,30'  />

<button buttonid='close_ad_b' goto='slide' fileref='close_overlay_f' >
    <layer resref='x_r' layerid='x_l' leapout='lead' align='left-top' pos='593,164' 
    combine='clip' visible='not-selected'   />
    <layer resref='x_r' layerid='x_o_l' leapout='lead' align='left-top' pos='593,164' 
    combine='clip' visible='selected' filterref='invert'  />
</button>
    ";
}
echo "<!--mindex is $mindex -->";
if($mindex==7){                 //the button on the interstitial
 echo ($inter_button_code);   
}
?>

<!-- NEXT  -->
    <setdata dataid='next_dat'>
        <data key='myindex'><?php echo ($next_mindex); ?></data>
        <data key='next_inter'><?php echo ($next_inter); ?></data>
        <data key='inter_counter'><?php echo ($inter_counter); ?></data>
    </setdata>
    <file fileid='next_f' nature='dynamic' name='/home.php' dataref='next_dat' />
<next delay='<?php echo ($next_delay); ?>' fileref='next_f' />

<!-- B1  -->
    <setdata dataid='b1_dat'>
        <data key='myindex'><?php echo ($mindex+1); ?></data>
    </setdata>
    <file fileid='b1_f' nature='dynamic' name='/home.php' dataref='b1_dat' />

<resmerge resid='mini_1_m' size='80,60' >
    <merge resref='mini_1_r'  align='left-top' pos='0,0' combine='add' />
    <merge resref='lilscreen_r'  align='left-top' pos='0,0' combine='inter' />
</resmerge>

<button buttonid='mini_1_b' goto='slide' fileref='b1_f' >
    <layer resref='mini_1_m' layerid='lilscreen_1_l' leapout='lead' align='left-top' pos='9,403' combine='add' 
shadowref='shad1' visible='always' />
    <layer resref='mini_1_m' layerid='lilscreen_1_o_l' leapout='lead' align='left-top' pos='9,403' combine='clip' 
 visible='selected' filterref='lighten' />
</button>

<!-- B2 -->
    <setdata dataid='b2_dat'>
        <data key='myindex'><?php echo ($mindex); ?></data>
    </setdata>
    <file fileid='b2_f' nature='dynamic' name='/home.php' dataref='b2_dat' />
    
    <resmerge resid='mini_2_m' size='80,60' >
    <merge resref='mini_2_r'  align='left-top' pos='0,0' combine='add' />
    <merge resref='lilscreen_r'  align='left-top' pos='0,0' combine='inter' />
</resmerge>

<button buttonid='mini_2_b' goto='slide' fileref='b2_f' >
    <layer resref='mini_2_m' layerid='lilscreen_2_l' leapout='lead' align='left-top' pos='102,403' 
    combine='add' shadowref='shad1' visible='always' />
    <layer resref='mini_2_m' layerid='lilscreen_2_o_l' leapout='lead' align='left-top' pos='102,403' 
    combine='clip' visible='selected' filterref='lighten' />
</button>

<!-- B3 -->
    <setdata dataid='b3_dat'>
        <data key='myindex'><?php echo ($mindex+6); ?></data>
    </setdata>
    <file fileid='b3_f' nature='dynamic' name='/home.php' dataref='b3_dat' />

<resmerge resid='mini_3_m' size='80,60' >
    <merge resref='mini_3_r'  align='left-top' pos='0,0' combine='add' />
    <merge resref='lilscreen_r'  align='left-top' pos='0,0' combine='inter' />
</resmerge>

<button buttonid='mini_3_b' goto='slide' fileref='b3_f' >
    <layer resref='mini_3_m' layerid='lilscreen_3_l' leapout='lead' align='left-top' pos='197,403' 
    combine='add' shadowref='shad1' visible='always' />
    <layer resref='mini_3_m' layerid='lilscreen_3_o_l' leapout='lead' align='left-top' pos='197,403' 
    combine='clip' filterref='lighten' visible='selected' />
</button>

<!-- B4 -->
    <setdata dataid='b4_dat'>
        <data key='myindex'><?php echo ($mindex+5); ?></data>
    </setdata>
    <file fileid='b4_f' nature='dynamic' name='/home.php' dataref='b4_dat' />

<resmerge resid='mini_4_m' size='80,60' >
    <merge resref='mini_4_r'  align='left-top' pos='0,0' combine='add' />
    <merge resref='lilscreen_r'  align='left-top' pos='0,0' combine='inter' />
</resmerge>

<button buttonid='mini_4_b' goto='slide' fileref='b4_f' >
    <layer resref='mini_4_m' layerid='lilscreen_4_l' leapout='lead' align='left-top' pos='284,403' 
    combine='add' shadowref='shad1' visible='always' />
    <layer resref='mini_4_m' layerid='lilscreen_4_o_l' leapout='lead' align='left-top' pos='284,403' 
    combine='clip' filterref='lighten' visible='selected' />
</button>

<!-- B5 -->
    <setdata dataid='b5_dat'>
        <data key='myindex'><?php echo ($mindex+4); ?></data>
    </setdata>
    <file fileid='b5_f' nature='dynamic' name='/home.php' dataref='b5_dat' />

<resmerge resid='mini_5_m' size='80,60' >
    <merge resref='mini_5_r'  align='left-top' pos='0,0' combine='add' />
    <merge resref='lilscreen_r'  align='left-top' pos='0,0' combine='inter' />
</resmerge>

<button buttonid='mini_5_b' goto='slide' fileref='b5_f' >
    <layer resref='mini_5_m' layerid='lilscreen_5_l' leapout='lead' align='left-top' pos='371,403' 
    combine='add' shadowref='shad1' visible='always' />
    <layer resref='mini_5_m' layerid='lilscreen_5_o_l' leapout='lead' align='left-top' pos='371,403' 
    combine='clip' filterref='lighten' visible='selected' />
</button>

<!-- B6 -->
    <setdata dataid='b6_dat'>
        <data key='myindex'><?php echo ($mindex+3); ?></data>
    </setdata>
    <file fileid='b6_f' nature='dynamic' name='/home.php' dataref='b6_dat' />

<resmerge resid='mini_6_m' size='80,60' >
    <merge resref='mini_6_r'  align='left-top' pos='0,0' combine='add' />
    <merge resref='lilscreen_r'  align='left-top' pos='0,0' combine='inter' />
</resmerge>

<button buttonid='mini_6_b' goto='slide' fileref='b6_f' >
    <layer resref='mini_6_m' layerid='lilscreen_6_l' leapout='lead' align='left-top' pos='458,403' 
    combine='add' shadowref='shad1' visible='always'/>
    <layer resref='mini_6_m' layerid='lilscreen_6_o_l' leapout='lead' align='left-top' pos='458,403' 
    combine='clip' filterref='lighten' visible='selected' />
</button>

<!-- B7 -->
    <setdata dataid='b7_dat'>
        <data key='myindex'><?php echo ($mindex+2); ?></data>
    </setdata>
    <file fileid='b7_f' nature='dynamic' name='/home.php' dataref='b7_dat' />

<resmerge resid='mini_7_m' size='80,60' >
    <merge resref='mini_7_r'  align='left-top' pos='0,0' combine='add' />
    <merge resref='lilscreen_r'  align='left-top' pos='0,0' combine='inter' />
</resmerge>

<button buttonid='mini_7_b' goto='slide' fileref='b7_f' >
    <layer resref='mini_7_m' layerid='lilscreen_7_l' leapout='lead' align='left-top' pos='545,403' 
    combine='add' shadowref='shad1' visible='always' />
    <layer resref='mini_7_m' layerid='lilscreen_7_o_l' leapout='lead' align='left-top' pos='545,403' 
    combine='clip' filterref='lighten' visible='selected' />
</button>


   

</frogans-fsdl>
